# Created by pyp2rpm-3.3.7
%global pypi_name flufl.flake8
%global pypi_version 0.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 3
Summary:        A flake8 plugin for GNU Mailman import order
Group:          Development/Python
License:        ASLv2
URL:            https://gitlab.com/warsaw/flufl.flake8
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A plugin for flake8 which checks for a particular import style.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for flake8 which checks for a particular import style.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/flufl
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}-*.pth
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.10-3.mga9
+ Revision: 1823760
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.10-2.mga9
+ Revision: 1784594
- rebuild for python-3.10

* Wed Jan 19 2022 kekepower <kekepower> 0.10-1.mga9
+ Revision: 1769085
- imported package python-flufl.flake8

